package com.bcxin.rbac.domain.repository.custom;

import com.bcxin.rbac.domain.entities.RbacPermitOptionRoleEntity;
import com.bcxin.rbac.domain.repositories.custom.RbacPermitOptionRoleRepository;
import org.springframework.data.jpa.repository.JpaRepository;

import java.util.List;


public interface RbacPermitOptionRoleJpaRepository extends RbacPermitOptionRoleRepository, JpaRepository<RbacPermitOptionRoleEntity, Long> {

    List<RbacPermitOptionRoleEntity> findByRbacRoleId(Long rbacRoleId);

    void deleteByRbacRoleId(Long rbacRoleId);

    List<RbacPermitOptionRoleEntity> findByRbacRoleIdIn(List<Long> rbacRoleIds);

}