package com.bcxin.rbac.domain.repository.custom;

import com.bcxin.rbac.domain.entities.RbacPermitOptionEntity;
import com.bcxin.rbac.domain.repositories.custom.RbacPermitOptionRepository;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.query.Param;

import java.util.List;


public interface RbacPermitOptionJpaRepository extends RbacPermitOptionRepository, JpaRepository<RbacPermitOptionEntity, Long> {

    @Query("select t from RbacPermitOptionEntity t where t.id in (:ids) order by t.seq asc")
    List<RbacPermitOptionEntity> findByIds(@Param("ids") List<Long> ids);
	
}