package com.bcxin.rbac.domain.repository.tmps;

import lombok.Getter;

@Getter
public class RoleResourceTmpDto {
    private final String id;
    private final String code;
    private final String name;
    private final String data;
    private final String dataType;
    private final String parentId;
    private final String treePathId;
    private final int level;
    private final String roleId;

    public RoleResourceTmpDto(String id, String code, String name, String data, String dataType, String parentId,String treePathId,int level,String roleId) {
        this.id = id;
        this.name = name;
        this.data = data;
        this.dataType = dataType;
        this.parentId = parentId;
        this.level = level;
        this.code = code;
        this.treePathId = treePathId;
        this.roleId = roleId;
    }

    public static RoleResourceTmpDto create(String id, String code, String name, String data, String dataType, String parentId,String treePathId, int level,String roleId) {
        return new RoleResourceTmpDto(id, code,name, data, dataType, parentId,treePathId,level,roleId);
    }
}
